VM images
List VM images
List reusable snapshots of prepared environments, including repository revisions, build identity, and expiration.
TypeScript SDKThe npm client, generated from the API spec.Python SDKThe PyPI client, sync and async.
| Method | Path | Required permissions |
|---|---|---|
| GET | /v1/vm-images | read:environments |
Token access
- API key
- Supported.
- CLI user token
- Supported.
- Sandbox token
- Unavailable. Not supported by sandbox tokens, even with permissions.ellipsis enabled.
Higher permission levels include lower levels: read < write < delete.
Use limit and offset to page through results.
Query parameters
limitdefault
50integeroffsetdefault
0integercurl "https://api.ellipsis.dev/v1/vm-images" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.vm_images.list()
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.vmImages.list();
console.log(result);Request
Response
Example response, 200
{
"next_offset": 0
}